Status: Closed   

Priority: Low   

Assignee: boaz shust   

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5796

  

Description

When selecting Charts -> Without Data or Charts -> With Data + Modal, I get the following error:

Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: undefined.

You likely forgot to export your component from the file it's defined in, or you might have mixed up default and named imports. Check

the render method of `ChartBox`.

Associated revisions

Revision 9f4fa111 - 08/07/2018 08:38 AM - Boaz Shuster 

Fixes #24200 - Fix ChartBox storybook

ChartBox storybook failed to load:  * Without Data  * With Data + Modal

The error message was:

Element type is invalid: expected a string (for built-in components)

or a class/function (for composite components) but got: undefined

Because the "type" prop was missing, the "Chart" component was

"undefined" showing this error message.

To fix this, I set the "type" props to be required and

set it to "donut" in the storybook.

History

#1 - 07/09/2018 01:20 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5796 added

#2 - 08/07/2018 08:38 AM - Ohad Levy

- Fixed in Releases 1.20.0 added

#3 - 08/07/2018 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 9f4fa1110513d5259380fe2b28b692607111d05c.

#4 - 10/15/2018 11:19 AM - Tomer Brisker

- Category set to Development tools

- Assignee set to boaz shust
